WebFlowUnitTestMixin (Grails 3.2.9)
Date: 2017-04-26

Package: grails.test.mixin.webflow

## [Groovy] Class WebFlowUnitTestMixin

- grails.test.mixin.webflow.WebFlowUnitTestMixin

- A unit test mixin for testing Web Flow interactions

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `WebFlowUnitTestMixin.TestState` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WebFlowUnitTestMixin (java.util.Set<java.lang.String> features)`
    `WebFlowUnitTestMixin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `doInput(java.lang.String name)`
    `` | `protected java.lang.Object` | `doInput(java.lang.String name, groovy.lang.Closure valueClosure)`
    `` | `protected java.lang.Object` | `doInput(java.lang.String name, java.lang.Object defaultValue)`
    `` | `protected java.lang.Object` | `doInput(java.lang.String name, java.util.Map map)`
    `` | `protected java.lang.Object` | `doInput(java.lang.String name, java.lang.Boolean required, groovy.lang.Closure valueClosure)`
    `` | `protected java.lang.Object` | `doInput(java.lang.String name, java.lang.Boolean required, java.lang.Object defaultValue)`
    `` | `protected java.lang.Object` | `doOutput(java.lang.String name, groovy.lang.Closure valueClosure)`
    `` | `protected java.lang.Object` | `doOutput(java.lang.String name, java.util.Map valueMap)`
    `` | `protected java.lang.Object` | `doOutput(java.lang.String name, java.lang.Object value)`
    `` | `protected WebFlowUnitTestMixin.TestState` | `getTestState()`
    `` | `protected java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)` Registers the end transition state of a web flow if it is returned as `return success()`
    `<T>` | `T` | `mockController(java.lang.Class<T> controllerClass)`
    `` | `java.lang.Object` | `propertyMissing(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ControllerUnitTestMixin` | `createAndEnhance, getFlash, getGroovyPages, getModel, getParams, getRequest, getResponse, getServletContext, getSession, getStatus, getView, getViews, getWebRequest, mockCommandObject, mockController, testFor`
    `class GrailsUnitTestMixin` | `defineBeans, getApplicationContext, getConfig, getGrailsApplication, getMainContext, getMessageSource, mockCodec, shouldFail, shouldFail`
    `class TestMixinRuntimeSupport` | `getFeatures, getRuntime, setRuntime, setTestClass`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### WebFlowUnitTestMixin(java.util.Set<java.lang.String> features)

    - #### WebFlowUnitTestMixin()

  - ### Method Detail

    - #### protected java.lang.Object doInput(java.lang.String name)

    - #### protected java.lang.Object doInput(java.lang.String name, groovy.lang.Closure valueClosure)

    - #### protected java.lang.Object doInput(java.lang.String name, java.lang.Object defaultValue)

    - #### protected java.lang.Object doInput(java.lang.String name, java.util.Map map)

    - #### protected java.lang.Object doInput(java.lang.String name, java.lang.Boolean required, groovy.lang.Closure valueClosure)

    - #### protected java.lang.Object doInput(java.lang.String name, java.lang.Boolean required, java.lang.Object defaultValue)

    - #### protected java.lang.Object doOutput(java.lang.String name, groovy.lang.Closure valueClosure)

    - #### protected java.lang.Object doOutput(java.lang.String name, java.util.Map valueMap)

    - #### protected java.lang.Object doOutput(java.lang.String name, java.lang.Object value)

    - #### protected WebFlowUnitTestMixin.TestState getTestState()

    - #### protected java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

      Registers the end transition state of a web flow if it is returned as `return success()`

    - #### <T> @java.lang.Override T mockController(java.lang.Class<T> controllerClass)

    - #### java.lang.Object propertyMissing(java.lang.String name)